@import "../../../colors.scss";

.main {
  display: flex;
  flex-direction: column;
}

.wrapper {
  width: 100%;
  border: 2px solid $primary;
  border-radius: 10px;
  padding: 0.5rem 0.8rem;
  display: grid;
  grid-template-columns: 97% 3%;
  align-items: center;
}

.title {
  font-size: 1.5rem;
}

.progressBar {
  position: relative;
  width: 100%;
  height: 0.5rem;
}

.timer {
  display: flex;
  justify-content: center;
}

.track {
  background-color: $primary;
  opacity: 0.15;
  position: absolute;
  z-index: -1;
  height: 100%;
  width: 100%;
}

.bar {
  background-color: $primary;
  position: absolute;
  height: 100%;
  animation-name: barAnimation;
  animation-timing-function: linear;
  animation-fill-mode: forwards;
}
